/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.types;

import java.lang.String;
import java.math.BigInteger;

/**
 * Represents a graphic console configuration.
 */
public interface Display {
    String address();
    
    boolean addressPresent();
    
    boolean allowOverride();
    
    boolean allowOverridePresent();
    
    Certificate certificate();
    
    boolean certificatePresent();
    
    boolean copyPasteEnabled();
    
    boolean copyPasteEnabledPresent();
    
    String disconnectAction();
    
    boolean disconnectActionPresent();
    
    boolean fileTransferEnabled();
    
    boolean fileTransferEnabledPresent();
    
    String keyboardLayout();
    
    boolean keyboardLayoutPresent();
    
    BigInteger monitors();
    Byte monitorsAsByte();
    Short monitorsAsShort();
    Integer monitorsAsInteger();
    Long monitorsAsLong();
    
    boolean monitorsPresent();
    
    BigInteger port();
    Byte portAsByte();
    Short portAsShort();
    Integer portAsInteger();
    Long portAsLong();
    
    boolean portPresent();
    
    String proxy();
    
    boolean proxyPresent();
    
    BigInteger securePort();
    Byte securePortAsByte();
    Short securePortAsShort();
    Integer securePortAsInteger();
    Long securePortAsLong();
    
    boolean securePortPresent();
    
    boolean singleQxlPci();
    
    boolean singleQxlPciPresent();
    
    boolean smartcardEnabled();
    
    boolean smartcardEnabledPresent();
    
    DisplayType type();
    
    boolean typePresent();
    
}
